Home

Run Get Method

POST
https://ton.nownodes.io/runGetMethod

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Run get method on smart contract.

Body

application/json
addressstringrequired

Contract address

methodstring | integerrequired

Method name or method id

stackArray<Array<any>>required

Array of stack elements: [['num',3], ['cell', cell_object], ['slice', slice_object]]

seqnointeger

Seqno of masterchain block at which moment the Get Method is to be executed

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout